#map {
    min-height: 800px;
}

#style-selector-control {
    margin: 1em;
    font-size: 1em;
}

#style-selector-control button {
    font-size: 16px;
    text-transform: uppercase;
    font-weight: bold;
    border-radius: 0;
    border: none;
    padding: 0.5em;
    margin-right: 1em;
    background: #2273b2;
    color: #fff;
}

#style-selector-control button:hover {
    cursor: pointer;
}

.maps-content a {
    display: inline-block;
    background: rgb(0, 75, 141);
    padding: 0.5em 1em;
    color: #fff;
    text-transform: uppercase;
    margin: 1em 0 0;
    text-decoration: none;
}

.maps-content a:hover,
.maps-content a:focus {
    color: #fff;
    text-decoration: none;
}

a.floor_plan_link {
    display: block !important;
    max-width: 150px !important;
    margin: 0.5em 0 !important;
    text-align: center !important;
}

.map-icon-label i {
    font-size: 16px;
    color: #fff;
    line-height: 55px;
    text-align: center;
    white-space: nowrap;
}

#prop_content span {
    display: block;
}

#prop_content span.title {
    font-size: 1.25em;
    font-weight: bold;
}

.property-map-widget .legend {
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    padding: 1em;
    background: #fafafa;
    font-size: 15px;
    align-items: flex-start;
}

.property-map-widget .legend-entry span {
    display: inline-block;
    height: 24px;
    width: 24px;
    vertical-align: middle;
    line-height: 1;
    margin: 0 0.5em 0 0;
}

.property-map-widget .legend-entry {
    line-height: 1;
    text-transform: uppercase;
    margin-right: 1em;
}
